@import url('https://fonts.googleapis.com/css2?family=Inter:wght@600&family=Lavishly+Yours&display=swap');

/* - - - - - - - - - - Variables - - - - - - - - - - */
:root {
    --font-cursive:'Lavishly Yours', cursive;
    --font-semi-bold:'Inter', sans-serif;
    --color-shadow-tittle: #cccccc80;
    --color-principal-text: rgb(165, 127, 255);
    --color-principal: #cdb4db;
    --tittle-size: 4rem;
    --background-color: #252525;
    --text-color:white;
    --text-color-dark:black;
  }

/* - - - - - - - - - - Scroll - - - - - - - - - - */
.body::-webkit-scrollbar{
    width: 7px;
}
.body::-webkit-scrollbar-thumb{
    background: var(--color-principal-text);
    border-right: var(--background-color);
    border-radius: 5px;
}

/* - - - - - - - - - - Generales - - - - - - - - - - */
body{    
    background-color: var(--background-color);
    position: relative;
}

::selection{
    background-color: #BB004B !important;
}
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: var(--font-semi-bold);
    color: var(--text-color);
}
section{
    min-height: 80vh;
    margin: 2rem 0;
}
.icon__button{
    color: var(--text-color);
    font-size: 1.5rem;
}

.button-a{
    padding: .5rem 2rem;
    width: auto;
    height: auto;
    border: var(--color-principal) solid 1px;
    text-align: center;
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: center;
    align-items: center;
}

a{
    text-decoration: none;
}

/* Neon btn */
.btn-neon {
    border: 2px solid var(--color-principal);
    background-color: rgba(70, 70, 70, 0.25);
    box-shadow: none;
    color: #565656;
    text-shadow: 0 0 0px transparent;
    transition: .2s;
    -webkit-transition: .5s;
    line-height: 40px;
    margin: 0;
    border-radius: 2rem;
    cursor: pointer
}
.btn-neon:hover {
    border-radius: 0;
   border: 2px solid #d615c6;
   color: #d615c6;
   text-shadow: 0 0 4px #d615c6;
   box-shadow: inset 0 0 6px #d615c6,  0 0 6px #d615c6;
}



.tittle{
    text-align: center;
    display: inline-flex;
    justify-content: center;
    margin: 3rem 0;
}
.tittle h2{
    font-family: var(--font-semi-bold);
    font-size: var(--tittle-size);
    color: var(--color-shadow-tittle);
    position: relative;
}
.tittle p{
    font-family: var(--font-cursive);
    font-size: var(--tittle-size);
    color: var(--color-principal-text);
    position: absolute;
}

/* - - - - - - - - - - Header - - - - - - - - - - */

nav:nth-child(1){
    background: rgba(0, 0, 0, 0.178);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
}

.navbar{
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    height: 72px;
    padding: 0 20px;
}
.navbar-logo, .navbar-logo span{
    color: var(--color-principal-text);
}
.navbar-logo-icon{
    height: 28px;
}
.navbar-logo-text{
    display: none;
    height: 19px;
}
.navbar-menu{
    transition: .3s;
}
.navbar-menu a{
    position: relative;
    flex: 0 0 36px;
    display: grid;
    width: auto;
    opacity: .5;
    transition: .5s;
}



.navbar-menu > a.active::after{
    content: "";
    display: block;
    position: absolute;
    top: 18px;
    left: 50%;
    translate: -50% 0;
    width: 4px;
    height: 4px;
    border-radius: 50%;
}
.navbar-menu a:hover{
    border-bottom: var(--color-principal-text) solid 1px;
    transform: scaleY(1.5px);
}
.icon_nav{
    font-size: 2rem;    
}


/* - - - - - - - - - - Home - - - - - - - - - - */
#id__home{
    display: inline-flex;
    justify-content: center;
}

.div__home{
    width: 40%;
    margin: 1rem; 
    display: flex;
    align-content: center;
    justify-content: center;
    
}


.presentacion span{
    display: block;
    color: var(--background-color);
    text-shadow: 5px 0px 0px var(--color-principal-text);
    mix-blend-mode: screen;
    animation: fadeIn 2s linear forwards;

    /* animation: typing 2s steps(18),
    blink .5s infinite step-end alternate;
    overflow: hidden; */
}

@keyframes fadeIn {
    0% {
        opacity: 0
    }

    100% {
        opacity: 1;
    }
}

.presentacion span:hover{
    color: var(--color-principal-text);
    text-shadow: none;
}


.presentacion h1{
    font-size: 3rem;
    margin: 1rem;
}
.presentacion p{
    font-size: 1.2rem;
    text-align: right;
}
.div__home img{
    width: 300px;
    display: flex;
}
.redes__sociales{
    margin: 1.5rem;
    width: 100% !important;
}
.redes__sociales div{
    display: flex;
    align-content: center;
}
.icon{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2rem;
    margin: 5px;
    color: var(--color-principal);
    transition: .5s;
}
.redes__sociales .icon:hover{
    filter: drop-shadow(#bb004b -5px -5px 3px);
}

/* - - - - - - - - - - About - - - - - - - - - - */

#id__about{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}

.about__me{
    width: 90%;
}
.about__me div{
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.about__me p{
    width: 80%;
    font-size: 1.2rem;
    text-align: justify;
}
.about__me button{
    margin: 1rem;
}
.contenedor_img_about{
    width: 30% !important;
}
.about__me img{
    width:100%
}

/* - - - - - - - - - - Skills - - - - - - - - - - */
#id__skills{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 50vh;
}

.hard__skills{
    margin-top: 3rem;
    width: 100%;
}
.container__skills{
    width: 90%;
}
.tittle__skills{
    display: flex;
    justify-content:center;
    align-items: center;
    padding: 1rem;
    width: 100%;
    text-align: center;    
}
.tittle__skills .icon__button{
    color: #BB004B;
    font-size: 2.5rem;
}

.tittle__skills h3{
    color: var(--color-shadow-tittle);
    font-family: var(--font-semi-bold);
    font-size: 2rem;
    margin-left: 1rem;
}

.hard__skills article{
    display: flex;
    flex-direction: column-reverse;
    text-align: center;
    width: 150px;
    background-color: rgba(255, 255, 255, 0.137);
    margin: 1rem;
    padding: 1.5rem;
    border-radius: 1rem;
}

.skills_tipe {
    gap: 10px;
    transition: .3s;
}
.skills_tipe img{
    width: 100%;
}

.skills_tipe:hover{
    transform: scale(1.03);
    box-shadow: rgba(165, 127, 255, 0.24) 0px 3px 8px;


}
.icon__soft{
    font-size: 2rem;
    color: var(--color-principal);
}
.accordion-btn {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    font-size: 1rem;
    text-align: center;
    border: none;
    border-bottom: 2px solid var(--color-principal);
    border-radius: 1rem;
    transition: .5s;
    justify-content: center;
    align-content: center;
    flex-wrap: wrap;
}
.accordion{
    width: 45%;
}

/* - - - - - - - - - - Educacion - - - - - - - - - - */

#id__educacion{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}

.educacion{
    width: 90%;
}

.item__educacion{
    margin: 1rem;
    width: 30rem;
    box-shadow: var(--color-principal-text) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
    padding: 1rem;
    border-radius: 1rem;
}

.tittle_ed{
    font-size: 1rem;
    margin: 0;
    text-align: right;
}

.instituto_ed, .fecha_ed{
    text-align: left;
    color: var(--color-shadow-tittle);
    font-size: 1rem;
    margin: 0;
}

/* - - - - - - - - - - Portfolio - - - - - - - - - - */

#id__portfolio{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-evenly;
}
.container__portfolio{
    width: 90%;
}


.btn-port{
    border-bottom: 1px solid var(--color-principal-text) ;
}
.btn-port:hover{
background-color: var(--color-principal-text) !important;
color: black !important;
}

.img_container{
    width: 100%;
    height: 100%;
}
.img__portfolio{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: .5rem;
}

.tittle__portfolio, .descripcion__portfolio{
    padding: .5rem;
    font-family: var(--font-semi-bold);
}
.tittle__portfolio{
    margin: .5rem;
    color: mediumpurple;
}
.descripcion__portfolio{
    display: inline;
    width: 90%;
    
}
.item__portfolio a{
    display: block;
    margin: .1rem;
}


.flip-card {
    background-color: transparent;
    width: 250px !important;
    height: 350px !important;
  }
  
  .flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    
    border-radius: 1rem;
    transition: transform 0.6s;
    transform-style: preserve-3d;
    box-shadow: #bb004b69 0px 4px 8px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
  }
  
  .flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
  }
  
  .flip-card-front, .flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
  }
  
  .flip-card-front {
    background-color: transparent;
    color: black;
  }
  
  .flip-card-back {
    padding: .2rem;
    color: white;
    transform: rotateY(180deg);
    border-radius: 1rem;
  }

/* - - - - - - - - - - Contacto - - - - - - - - - - */

#id__contact{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly; 
}
.contact__container{
    width: 90%;
}
.formulario{
    width: 40%;
}
.formulario form{
    display: flex;
    flex-direction: column;
}
.header__form input{
    width: 45%;
}
input, textarea{
    padding: 1rem;
    margin: .5rem;
    width: 94%;
    border-radius: 1rem;
    border: none;
    border-bottom: solid var(--color-principal-text) 1px;
    background-color: rgba(255, 255, 255, 0.02);
    font-family: var(--font-semi-bold);
}
.formulario .button-a{
    width: auto;
    padding: .5rem 2rem;
}

.contact{
    width: 50%;
    height: 450px;
    gap: 1rem;
}

.text__contact{
    width: 70%;
    padding: 1rem;
    margin-right: auto;
    margin-left: auto;
}
.contact__other{
    width: 70%;
    margin-left: 2rem;
}
.contact__other a{
    text-decoration: none;
    color: var(--color-principal);
    transition: .3s;
}
.contact__other a:hover{
    filter: drop-shadow(#bb004b -2px -2px 2px);
}
.contact__other p{
    text-indent: 3rem;
}
.icon_contact{
    font-size: 2rem;
    margin: 5px;
}


/* - - - - - - - - - - Thanks - - - - - - - - - - */

.thanks{
    width: auto;
    margin: 0;
    padding: 0;
    min-height: 100vh;
}
.img_thanks{
    width: 48%;
}
.txt__th{
    width: 40%;
}

/* - - - - - - - - - - Footer - - - - - - - - - - */
footer{
    min-height: 10vh;
}
footer p{
    font-size: 1rem;
}
footer p span{
    font-size: 2rem;
}
/* ------------------ MEDIA QUERYS --------------------- */
@media screen and (max-width: 1000px){
    .presentacion h1 {
        font-size: 2rem;
    }
    .presentacion p {
        font-size: 1rem;
    }

        .button-a, button {
            width: auto;
            height: auto;
            font-size: 1rem;
        }
        .redes__sociales {
            width: 100% !important;
        }

        .tittle h2{
            font-size: 3rem;
        }
        .tittle p{
            font-size: 3rem;
        }

        .about__me p{
            font-size: 1rem;
        }
        

        .flip-card {
            width: 200px;
            height: 300px;
        }
        .tittle__portfolio{
            font: 1rem;
        } 
        .descripcion__portfolio {
            font-size: 1rem;
            padding: 0;
            margin: 0;
        }
        .btn-port {
            width: auto;
            margin: 0;
        }
        .header__form input {
            width: 94%;
        }
        .contact {
            font-size: 1rem;
        }
        .contact__other {
            font-size: 1rem;
        }
}
/* Extra large devices (large desktops, 1200px and up) 
@media (min-width: 1200px) { ... } */

@media screen and  (max-width: 850px){
    .button-a{
        padding: .5rem;
        width: 200px;
    }
    .about__me {
        flex-direction: column;
        width: 90%;
    }
    
    .about__me div {
        width: 80%;
    }
    .about__me p{
        width: 100%;
    }
    .contenedor_img_about{
        width: 50% !important;
    }
    .item__educacion {
        width: 40rem;
    }
    
    .div__home p{
        width: 100% !important;
    }
    .accordion{
        width: 90%;
    }
    
     .contact__container {
        flex-direction: column-reverse;
    }
    .contact {
        width: 100%;
        height: auto;
    }

    .contact .redes__sociales {
        width: 80%;
    }

    .formulario{
        width: 70%;
    }

}

@media screen and  (max-width: 750px){
    #id__home{
        flex-direction: column-reverse;
        margin-top: 4rem;
    }
    #id__home div{
        width: 80%;
    }
    .div__home img{
        width: 50%;
    }

    form input, textarea {
        padding: .5rem;
        border-radius: .5rem;
    }
    .formulario .button{
        width: auto;
        height: auto;
        padding: 10px 20px;
    }
    .thanks{
display: flex;
flex-direction: column-reverse;
    }
    .img_thanks{
        width: 60%;
    }
    .txt__th{
        width: 80%;
    }
    
}
@media screen and  (max-width: 600px){
    
    #id__home div{
        width: 90%;
    }
    .contact__other {
        width: 90%;
    }
    
    .redes__sociales{
        width: auto;
        margin: 0;
    }

    .about__me {
        width: 100%;
    }
    .about__me div {
        width: 90%;
    }
    .formulario{
        width: 85%;
    }
    .contact__container {
        width: 100% !important;
    }
    .contact{
        margin-bottom: 2rem;
    }
    .text__contact {
        width: 85%;
    }
    
    .txt__th h2{
        font-size: 1rem;
    }

    
}

@media only screen and (min-width: 600px){
    .navbar-menu{
        flex: 1 1 auto;
        justify-content: center;
        margin-right: 120px;
    }
    .navbar-menu > a:last-child{
        position: absolute;
        right: 20px;
    }
}
@media only screen and (min-width: 700px){
    .navbar-logo-icon{
        height: 24px;
    }
    .navbar-logo-text{
        display: none;
        height: 19px;
        display: block;
    }

}
@media screen and (max-width: 350px){
    .navbar{
        padding: 0 .5rem;
    }
    .navbar-menu{
        gap: 0 !important;
        
    }
    .navbar-menu a{
        margin: 0 5px;
        width: 35px;
    }
}